Bug 202675 - CVE-2006-4031 MySQL improper permission revocation
CVE-2006-4031 MySQL improper permission revocation
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-08-15 16:15 EDT by Mark J. Cox (Product Security)
Modified: 2013-07-02 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.27-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 21:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:15:55 EDT
For FC6 tracking

+++ This bug was initially created as a clone of Bug #202247 +++

MySQL improper permission revocation

If a user has been granted permissions to create a MERGE table, even
after permissions have been revoked from the parent table, the user
can access the data via the MERGE table.

More information including a patch can be found here:
Comment 1 Mark J. Cox (Product Security) 2006-09-15 05:04:37 EDT
still needed
Comment 2 Mark J. Cox (Product Security) 2006-09-25 06:22:00 EDT
CVE-2006-4031 VULNERABLE (mysql, fixed 5.0.24) bz#202675
marking as FC6Blocker

Note You need to log in before you can comment on or make changes to this bug.